Package Details: libxfce4util-git 4.16pre1.r2.g8266864-1

Git Clone URL: https://aur.archlinux.org/libxfce4util-git.git (read-only, click to copy)
Package Base: libxfce4util-git
Description: Basic utility non-GUI functions for Xfce
Upstream URL: http://git.xfce.org/xfce/libxfce4util/tree/README
Licenses: GPL2
Conflicts: libxfce4util
Provides: libxfce4util
Submitter: SolarAquarion
Maintainer: SolarAquarion
Last Packager: SolarAquarion
Votes: 3
Popularity: 0.000549
First Submitted: 2017-02-10 00:06 (UTC)
Last Updated: 2020-09-06 18:02 (UTC)

Required by (30)

Sources (1)

Latest Comments

MShrimp4 commented on 2022-03-09 10:16 (UTC)

The latest change to pkgver should be reverted since the branch does contain libxfce4util- and version name is broken again.

jrd commented on 2020-09-06 09:20 (UTC)

The pgkver function should be updated as the branch contains only xfce- not libxfce4util- anymore.

pkgver() {
    cd $pkgname/
    git describe | sed 's/^xfce-//;s/-/.r/;s/-/./g'
}

twa022 commented on 2020-08-03 21:53 (UTC)

Can you add vala to the makedepends to build the vala bindings.

Also xfce moved their git infrastructure to gitlab: https://gitlab.xfce.org

Tjuh commented on 2020-07-26 16:57 (UTC)

Getting weird pkg names when building, like this; libxfce4util-git-libxfce4util-r4.15.2.1.ge475294-1. Don think that's right, is it?

oberon2007 commented on 2017-08-16 10:18 (UTC) (edited on 2017-08-16 10:34 (UTC) by oberon2007)

On one of my systems build fails while on another one it builds fine. Seems a makedepends is missing, but I cannot figure out which one: DOC Fixing cross-references Traceback (most recent call last): File "/usr/bin/gtkdoc-fixxref", line 57, in <module> fixxref.Run(options) File "/usr/share/gtk-doc/python/gtkdoc/fixxref.py", line 96, in Run ScanIndices(options.html_dir, 0) File "/usr/share/gtk-doc/python/gtkdoc/fixxref.py", line 153, in ScanIndices ScanIndices(subdir, use_absolute_links) File "/usr/share/gtk-doc/python/gtkdoc/fixxref.py", line 138, in ScanIndices ReadDevhelp(full_entry, use_absolute_links) File "/usr/share/gtk-doc/python/gtkdoc/fixxref.py", line 178, in ReadDevhelp for line in open(file): File "/usr/lib/python3.6/encodings/ascii.py", line 26, in decode return codecs.ascii_decode(input, self.errors)[0] UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 2960: ordinal not in range(128) make[2]: *** [Makefile:708: html-build.stamp] Error 1 make[2]: Leaving directory '/build/libxfce4util-git/src/libxfce4util-git/docs' make[1]: *** [Makefile:485: all-recursive] Error 1 make[1]: Leaving directory '/build/libxfce4util-git/src/libxfce4util-git' make: *** [Makefile:417: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

twa022 commented on 2017-05-20 17:15 (UTC)

Add gobject-introspection as makedepends per commit: https://git.xfce.org/xfce/libxfce4util/commit/?id=f8e35f0889ad9c7bf6a6ccacce1592a4f0060cef ?